Skip to content

# Django

`terminusgps` offers the `django` package that offers mixins, templatetags and more for use in Django web applications.

Contents:

- Forms
  - Renderer
  - Fields
  - Widgets
  - Usage
- Mixins
  - `HtmxTemplateResponseMixin`
  - Usage
- Settings
  - `DEBUG`
  - `MERCHANT_AUTH_LOGIN_ID`
  - `MERCHANT_AUTH_TRANSACTION_KEY`
  - `TWILIO_FROM_NUMBER`
  - `TWILIO_MESSAGING_SID`
  - `TWILIO_SID`
  - `TWILIO_TOKEN`
  - `WIALON_ADMIN_ID`
  - `WIALON_TOKEN`
- Validators
  - `validate_e164_phone_number()`